unit UChartAnimation;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.StdCtrls,
  FMX.TMSChart;

type
  TForm123 = class(TForm)
    TMSFMXChart1: TTMSFMXChart;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure TMSFMXChart1AnimateSerieFinished(Sender: TObject;
      ASerie: TTMSFMXChartSerie);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form123: TForm123;

implementation

{$R *.fmx}

procedure TForm123.Button1Click(Sender: TObject);
var
  I: Integer;
begin
  for I := 0 to TMSFMXChart1.Series.Count - 1 do
    TMSFMXChart1.Series[I].Animate;
end;

procedure TForm123.FormCreate(Sender: TObject);
var
  I: Integer;
begin
  TMSFMXChart1.BeginUpdate;
  TMSFMXChart1.InitSample; //sample points & series
  for I := 0 to TMSFMXChart1.Series.Count - 1 do
  begin
    TMSFMXChart1.Series[I].ChartType := ctBar;
    TMSFMXChart1.Series[I].Revert := True; //reverts the points to start from 0 values
  end;
  TMSFMXChart1.EndUpdate;
end;

procedure TForm123.TMSFMXChart1AnimateSerieFinished(Sender: TObject;
  ASerie: TTMSFMXChartSerie);
begin
  ASerie.Revert := not ASerie.Revert;
end;

end.
